package com.engine.salary.formlua.entity.parameter;

/**
 * @className：默认本地参数
 * @Description：注释
 * @Author：
 * @date：
 */
public class ParamFactory {
	private String charValue;
	private Double doubleValue;
	private Integer integerValue;
	private Long longValue;
	private Float floatValue;
	private Boolean boolValue;
	private String dateTimeValue;
	private String selectValue;
	private String timeValue;
	private String textValue;
	private ParamFactory(){}

	private ParamFactory(String charValue, Double doubleValue, Integer integerValue, Long longValue, Float floatValue, Boolean boolValue,String dateTimeValue,String selectValue,String timeValue,String textValue) {
		this.charValue = charValue;
		this.doubleValue = doubleValue;
		this.integerValue = integerValue;
		this.longValue = longValue;
		this.floatValue = floatValue;
		this.boolValue = boolValue;
		this.dateTimeValue=dateTimeValue;
		this.selectValue=selectValue;
		this.timeValue=timeValue;
		this.textValue=textValue;
	}

	private static ParamFactory paramFactory=new ParamFactory("2020-01-12 12:23:33",5.2,2020,100L,new Float(20.4),true,"2020-01-12 12:23:33","8428149709910469289","12:12:30","abcd");
	public static ParamFactory getInstance(){
		return paramFactory;
	}

	public String getTimeValue() {
		return timeValue;
	}

	public void setTimeValue(String timeValue) {
		this.timeValue = timeValue;
	}

	public String getSelectValue() {
		return selectValue;
	}

	public void setSelectValue(String selectValue) {
		this.selectValue = selectValue;
	}

	public String getCharValue() {
		return charValue;
	}

	public void setCharValue(String charValue) {
		this.charValue = charValue;
	}

	public Double getDoubleValue() {
		return doubleValue;
	}

	public String getDateTimeValue() {
		return dateTimeValue;
	}

	public void setDateTimeValue(String dateTimeValue) {
		this.dateTimeValue = dateTimeValue;
	}

	public void setDoubleValue(Double doubleValue) {
		this.doubleValue = doubleValue;
	}

	public Integer getIntegerValue() {
		return integerValue;
	}

	public void setIntegerValue(Integer integerValue) {
		this.integerValue = integerValue;
	}

	public Long getLongValue() {
		return longValue;
	}

	public void setLongValue(Long longValue) {
		this.longValue = longValue;
	}

	public Float getFloatValue() {
		return floatValue;
	}

	public void setFloatValue(Float floatValue) {
		this.floatValue = floatValue;
	}

	public Boolean getBoolValue() {
		return boolValue;
	}

	public void setBoolValue(Boolean boolValue) {
		this.boolValue = boolValue;
	}

	public static ParamFactory getParamFactory() {
		return paramFactory;
	}

	public static void setParamFactory(ParamFactory paramFactory) {
		ParamFactory.paramFactory = paramFactory;
	}

	public String getTextValue() {
		return textValue;
	}

	public void setTextValue(String textValue) {
		this.textValue = textValue;
	}
}
